BusinessPhone Communication Platform 7.0

## Communication with Applications

General
Supplementary documents
Installation
Pin connectors for V.24 I/O-ports
Commands for Peripheral Communication
Command overview, local connection via V.24 ports
ASB 150 02 for input/output of CIL and HOTEL DATA
Communication with BMS
Printout of Telephone Directory
Communication with Callcentre Supervisor (CCS)
Communication with Businesslink for Windows
Communication with Callcentre Assistant (CCA)
Communication with Operator Suite (OPS)
Communication with Hotel Computer (2 unidirectional V.24 Interfaces)
Communication with Hotel Computer (V.24 Interface Bi-Directional)
Communication ASB150 02 Û Hotel computer
The following formats are available for hotel functions:

## General

This document describes how to connect peripheral equipment via V.24 ports or IP serial connections to the PBX system ASB150 02 and the relevant commands to program the PBX for different applications.

The PBX system ASB 150 02 can be connected to peripheral equipment via asynchronous V.24 ports or IP serial connections.

Local communication with peripheral computers or printers can take place on a V.24 port placed on the CPU-D_, and AUX-board. The CPU-D4/D5 has in addition one RS 485 port included which can be used as an alternative to one of the three V.24 ports. Alternatively IP serial connections can be used. If an application does not support connection to IP then the program VCom (Virtual Com) - 524/155 34-ASB 150 Uen - can be used. 4 serial IP connections are available on the IPU (ROF 157 5133/1).

The boards CPU-D_ (ROF 157 518/_) and AUX_ (ROF 157 5119/_) and CPU-D4/D5 (ROF 1575124/_) have three V.24 ports each.

The V.24 port 0 on the CPU-D_ board shall foremost be reserved for configuration and maintenance of the PBX.

A Hayes compatible modem for dialled up long distance communication can be connected to those V.24 ports.

TheV.24 / RS 485 port(s) can be used for the following applications.

- Printout of telephone directory
- Output of call records CIL (Call Information Logging)
- Activation and registration of facilities for hotel applications
- Activation and registration of facilities for ACD (Automatic Call Distribution) applications
- Input and output of data for configuration and maintenance of the PBX (BMS)
- Communication with BusinessLink for Windows

External equipment that is to be connected must comply with the requirements of the protocols and formats described in document INTERWORK DESCRIPTION (1-9/155 19-1/ASB 150 02 Uen).

### Supplementary documents

Facility descriptions:

- CIL (Call Information Logging) 140/155 34-ASB 150 Uen
- Telephone directory 481/155 34-ASB 150 Uen
- Hotel facilities 241/155 34-ASB 150 Uen
- CTI 900/155 34-ASB 150 Uen
- Interwork description 1-9/155 19-1/ASB 150 02 Uen

## Installation

The boards have filters built in for suppression of electromagnetic interference (EMI). But if the suppression shall be in accordance with the stipulations for CISPR 22 class B, other types of cables for connection of peripheral equipment, mentioned later on in this document, have to be used.

The specification for V.24 allows a distance of 15m. For longer distances it is recommended to install short haul modems.

#### The peripheral units can be connected to the PBX via one of the following cables

Connection of printer |  | TSR 902 0476/1 (length: 5 meters) |
Connection of computer |  | TSR 902 0448/1 (length: 5 meters) |
Connection of modem |  | TSR 902 0466/1(length: 5 meters) |

Equipment connected to the RS-485 port can have a range up to 1200m.

### Pin connectors for V.24 I/O-ports

Pin connectors for V.24 I/O-ports in the PBX exist on boards:

## Commands for Peripheral Communication

Command groups 60 and 64 are the groups used for programming of the external communication.

The command groups consist of commands defining parameters for external communication to/from ASB 150 02 via V.24 ports.

#### Command groups

60xx are used for V.24 ports.

64xx are used for input/output of CIL and Hotel data.

### Command overview, local connection via V.24 ports

6006 |  |
|  | Pre-defined setting of the following functions in the V.24 port: When the default is set = 3, the preprogrammed values below are set. These values match for a serial printer. Circuit 105-109 .......... Not used Parity ..........................Not used Echo ...........................Not used Stop bits .....................1 Word length ................8 Line protocol ...............x-on, x-off Control Character ........subvolume of PBX-internal |
6007 |  |
|  | Defines the character set to be used Default value = 1, US-ASCII |
6009 |  |
|  | Defines the speed rate for the V.24 port Default value = 14, 9600 bit/s |
6010 |  |
|  | Decides whether the PBX is master or slave when connected to certain types of locally connected units. This command will be ignored when connecting certain types of external equipment see command. 6006 in the command manual. Default value = 0 (master) |
6011 |  |
|  | Decides whether automatic selection of the port is allowed for temporary use of services which don't have any port specified e.g. print out of telephone directory. Default value = No, not allowed |
6012 |  |
|  | This command routes a connection request from the peripheral unit to the desired service in the PBX. Default value = For the boards CPU-D_ and AUX, all ports = 1 |

### ASB 150 02 for input/output of CIL and HOTEL DATA

6401 |  |
|  | Specifies which V.24 port(s) (card No., port No.) shall be used for input/output of call and hotel data. Default value = (empty). The port is switched off |
6402 |  |
|  | States whether communication channel is active or not. Default value = NO. Not active |
6403 |  |
|  | Specifies which format shall be used. Default value = MD110/standard format |
6404 |  |
|  | Number of lines per page. Default 1value = 63 |
6405 |  |
|  | States the time limit within which the output must have been completed, before the port will become faultmarked and an alarm will be generated. Default value = 70s |
6406 |  |
|  | Automatic activation of a faultmarked V.24 port. Default value = 5 minutes |

## Communication with BMS

As default the ASB 150 02 will use the V.24 port 0 on the CPU-Dx board as communication port to BusinessPhone Management Suite.

As default BMS will use the COM1 port on the PC.

Use a cable with product number TSR 902 0448/1 for the connection ASB 150 02 Û PC.

Alternatively an IP serial connection can be used.

#### Settings in ASB 150 02.

COMMAND |  | SETTING |  | FUNCTION |
6006 |  |
|  | 03 |  | Setting of V.24 port to match the communication BMS <–> ASB 150 02 |
6007 |  |
|  | 1 |  | Character set US-ASCII |
6009 |  |
|  | 14 |  | 9600 Bit/s |
6010 |  |
|  | 0 |  | The PBX is master |
6011 |  |
|  | N |  | Not allowed for other services |
6012 |  |
|  | 1 |  | Operation and maintenance with BMS |

## Printout of Telephone Directory

Use a cable with product number TSR 902 0476/1 for the connection ASB 150 02 Û Printer.

Alternatively an IP serial connection and VCom can be used, if the output device is a PC.

It is not necessary to reserve a V.24 port for this purpose.

It is possible to program V.24 port(s) to allow other services than it is primarily programmed for.

At times when the V.24 port is not used for the purpose it is programmed for, other services can use it.

The command which make the above possible is:

6011 |  | Autoselect allowed?

If this command is programmed to YES, for instance for the port normally used for BMS, the printout of the telephone directory will take place on the same port when the printout is ordered via

6502 |  | Listing of data for directory numbers

6511 |  | Listing of data for common short numbers

#### Three different types of printouts can be ordered

ALL |  | All extensions are printed out |
GUEST |  | Only guest extensions are printed out |
DIR |  | Only non-guest extensions are printed out |

#### Settings in ASB 150 02

The commands in the table below MUST be programmed:

COMMAND |  | SETTING |  | FUNCTION |
6006 |  |
|  | 3 |  | Setting of V.24 |
6007 |  |
|  | 1 |  | The PBX internal set of characters |
6009 |  |
|  | 14 |  | 9.600 Bit/s |
6010 |  |
|  | 0 |  | The PBX is master |

## Communication with Callcentre Supervisor (CCS)

The PC is by default using COM1 for the communication with ASB 150 02.

Use a cable with product number TSR 902 0448/1 for the connection PC Û ASB 150 02.

Alternatively an IP serial connection can be used.

Note

A security device (Copyprotection for CCS) must be plugged in the LPT1 (parallel port) of your PC. If a printer is to be connected it must be connected to LPT1 and be switched on when the ACD program is started.

#### Settings in ASB 150 02

The printer MUST match the values in the following commands

COMMAND |  | SETTING |  | FUNCTION |
3708 |  |
|  | aabbb |  | aa = Card-No.,bbb = Port-No. |
6006 |  |
|  | 11 |  | Setting of V.24 port |
6007 |  |
|  | 0 |  | Character set of the PBX |
6009 |  |
|  | 14 |  | Baudrate 9.600 bit/s, when working with CCS 3.x. |
6010 |  |
|  | 0 |  | The PBX is master |
6011 |  |
|  | N |  | Automatic selection is not permissible |
6012 |  |
|  | 2 |  | ACD |

## Communication with Businesslink for Windows

The BusinessLink for Windows Server PC is by default using COM1 for the communication with ASB 150 02.

Use a cable with product number TSR 902 0448/1 for the connection PC Û ASB 150 02.

Alternatively an IP serial connection can be used.

Note

BusinessLink for Windows needs appropriate licensing (see maintenance instructions ASB 150 02 Hardware key based licensing and/or ASB 150 02 Software key based licensing). It is recommended to use port 0 on the CPU-D4/D5 for connection between ASB150 02 and the Telephony Server.

#### Settings in ASB 150 02

The commands in the table below MUST be programmed:

THIS SETTINGS FOR ASB 150 02 WILL MATCH THE DEFAULT SETTINGS
COMMAND |  | SETTING |  | FUNCTION |
3708 |  |
|  | aabbb |  | aa = Card No., bb = port No. (starting from 0) |
6006 |  |
|  | 11 |  | Setting of V.24 port to match the communication ACD Û ASB 150 02 |
6007 |  |
|  | 1 |  | US-ASCII set of characters |
6009 |  |
|  | 16 |  | 19.200 Bit/s |
6010 |  |
|  | 1 |  | The PBX is slave |
6011 |  |
|  | N |  | Automatic selection is not allowed |
6012 |  |
|  | 3 |  | CTI |
6013 |  |
|  | 0 |  | Dial attempts |

For a detailed instruction concerning the installation of the Server and the Client part please refer to the ‘Manager’s Guide of BusinessLink for Windows which is located on the BusinessPhone BusinessLink for Windows product CD ROM (FAS BS 102 202/CD).

## Communication with Callcentre Assistant (CCA)

The Telephony Server PC is by default using COM1 for the communication (via BusinessLink for Windows) with ASB 150 02.

Use a cable with product number TSR 902 0448/1 for the connection - PC Û ASB 150 02.

Alternatively an IP serial connection can be used.

Note

BusinessLink for Windows and Call Centre Assistant needs appropriate licensing (see maintenance instructions ASB 150 02 Hardware key based licensing and/or ASB 150 02 Software key based licensing), see also FACILITY DISCRIPTION GENERAL (155 35-ASB 15002 Uen). It is recommended to use port 0 on the CPU-D4/D5 for connection between ASB150 02 and the Telephony Server.
Before installing Call Centre Assistant, BusinessLink for Windows software (Server and Client part) must be installed. If a printer is to be connected it must be connected to LPT1 and be switched on when the ACD program is started.

#### Settings in ASB 150 02

No specific commands MUST be programmed for Call Centre Assistant. For specific ACD programming see the corresponding ACD Facility descriptions.

Note

BusinessLink for Windows requires specific settings in the ASB 150 02. For detailed information see Communication with Businesslink for Windows.

For a detailed instruction concerning the installation of the Server and the Client part please refer to the Technical Guide of Call Centre Assistant which is located on the Enterprise Application Suite CD-ROM (FAS BS 102 220/CD).

## Communication with Operator Suite (OPS)

The Telephony Server PC is by default using COM1 for the communication (via BusinessLink for Windows) with ASB 150 02.

Use a cable with product number TSR 902 0448/1 for the connection - PC Û ASB 150 02.

Alternatively an IP serial connection can be used.

Note

BusinessLink for Windows and Operator Suite needs appropriate licensing (see maintenance instructions ASB 150 02 Hardware key based licensing and/or ASB 150 02 Software key based licensing), see also FACILITY DISCRIPTION GENERAL (155 35-ASB 15002 Uen). It is recommended to use port 0 on the CPU-D4/D5 for connection between ASB150 02 and the Telephony Server. For Operator Suite a security device (WIBU-key) must be plugged in LPT1 (parallel port). Security device (WIBU-key) requires the installation of specific software. The security device software is automatically installed by the default OPS installation.
Before installing Operator Suite, BusinessLink for Windows software (Server and Client) must be installed.

#### Settings in ASB 150 02

COMMAND |  | SETTING |  | FUNCTION |
0175 |  |
|  | Y |  | Use as CTI operator instrument? Command must be set to Yes for each extension used as CTI operator (free seating). |

Note

BusinessLink for Windows requires some settings in the ASB 150 02. For detailed information see Communication with Businesslink for Windows.

For a detailed instruction concerning the installation of the Server and the Client part please refer to the Technical Guide of Operator Suite which is located on the BusinessPhone Operator Suite product CD-ROM
(FAS BS 102 205/CD).

## Communication with Hotel Computer (2 unidirectional V.24 Interfaces)

This application needs two V.24 ports, one for each direction. In the direction ASB 150 02 to Hotel computer, information such as CIL data and guestroom status will be sent.

In the direction Hotel computer to ASB 150 02 information such as check in, check out and wake up will be sent.

Use a cable with product number TSR 902 0448/1 for the connection PC Û ASB 150 02. Alternatively IP serial connections and VCom can be used.

V.24 Port used for Communication from ASB 150 02 to Hotel Computer
Command |  | Settings |  | Function |
6201 |  |
|  | x |  | Log internal calls. Default value = No |
6202 |  |
|  | x |  | Logging of incoming external calls. Default value = No |
6301 |  |
|  | x |  | Log outgoing calls. This command must be set to yes for those trunks which shall be logged. Default value = No |
6006 |  |
|  | 10 |  | Setting of V.24 port to match the communication FDM Û ASB 150 02 |
6007 |  |
|  | x |  | Character set |
6009 |  |
|  | x |  | 1200 Bit/s |
6010 |  |
|  | 0 |  | The PBX is master |
6011 |  |
|  | N |  | Automatic selection is not allowed |
6401 |  |
|  | aabbb |  | aa = Card No, bb = port No. (starting from 0) |
6402 |  |
|  | Yes |  | Activation of V.24 port |
6403 |  |
|  | x |  | Format to be used to match the PC-program |
6405 |  |
|  | 70 |  | I/O time supervision in seconds |
6406 |  |
|  | 5 |  | Auto I/O activation in minutes |

V.24 Port used for Communication from Hotel Computer to ASB 150 02
Command |  | Setting |  | Function |
6006 |  |
|  | 11 |  | Setting of V.24 port to match the communication FDM Û ASB 150 02 |
6007 |  |
|  | x |  | Character set |
6009 |  |
|  | 8 |  | 1200 Bit/s |
6010 |  |
|  | 1 |  | The PBX is slave |
6011 |  |
|  | N |  | Automatic selection is not allowed |
6401 |  |
|  | aabbb |  | aa = Card No, bb = port No. (starting from 0) |
6402 |  |
|  | Yes |  | Activation of V.24 port |
6403 |  |
|  | x |  | Format to be used to match the PC-program |
6405 |  |
|  | 70 |  | I/O time supervision in seconds |
6406 |  |
|  | 5 |  | Auto I/O activation in minutes |

## Communication with Hotel Computer (V.24 Interface Bi-Directional)

Use a cable with product number TSR 902 0448/1 for the connection PC Û ASB 150 02. Alternatively an IP serial connection and VCom can be used.

### Communication ASB150 02 Û Hotel computer

If the hotel computer is used, ASB 150 02 normally uses the following formats. They are programmed with command 6403.

### The following formats are available for hotel functions:

#### ASB 150 02 to Hotel computer

- ASB 150/ht (bi)
- MD 110/ht (bi)
- HIS(bi)
- CILHOTEL(bi)
- CIL2HOTEL(bi)
- CIL3HOTEL(bi)

For further information about the formats, see document INTERWORK DESCRIPTION
(1-9/155 19-1/ASB 150 02 Uen).

The bi-directional V.24 for CIL Hotel can only be installed on port 0 (command 6401). Activate port 0 with YES.

In this case the port 1 is used as backup. This means this port can not be used for any other application.

V.24 PORT USED FOR COMMUNICATION BETWEEN ASB 150 02 AND THE HOTEL COMPUTER
COMMAND |  | SETTING |  | FUNCTION |
6201 |  |
|  | x |  | Log internal calls. Default value = No |
6202 |  |
|  | x |  | Logging of incoming external calls. Default value = No |
6301 |  |
|  | x |  | Log outgoing calls. This command must be set to yes for those trunks which shall be logged. Default value = No |
6006 |  |
|  | 13 |  | Hotel computer, bi-directional V.24 (Type 4) |
6007 |  |
|  | x |  | Character set |
6009 |  |
|  | x |  | Baudrate |
6010 |  |
|  | 1 |  | The PBX is slave |
6011 |  |
|  | N |  | Automatic selection is not allowed |
6401 |  |
|  | aabb |  | aa = Card No, bb = port No. (starting from 0) |
6402 |  |
|  | Yes |  | Activation of V.24 port |
6403 |  |
|  | CIL3- HOTEL(bi) |  | Format for bi-directional V.24 |
6405 |  |
|  | 70 |  | I/O time supervision in seconds |
6406 |  |
|  | 5 |  | Auto I/O activation in minutes |

Revision: M © Ericsson Enterprise 2005